void printi(int val);
void printstr(char *str);

struct sample2 {
  int val2;
  char *str2;
};

struct sample {
  int val;
  char *str;
  struct sample2 s2;
};

int main()
{
  struct sample s;

  printi(sizeof(struct sample));
  printi(sizeof(struct sample2));

  printi(sizeof(s));
  printi(sizeof(s.s2));

  s.val = 1;
  s.str = "abcdefg";

  s.s2.val2 = 10;
  s.s2.str2 = "ABCDEFG";

  printi(s.val);
  printstr(s.str);
  printi(s.s2.val2);
  printstr(s.s2.str2);

  return 0;
}
